Package net.shibboleth.idp.session.context

# Enum Class LogoutPropagationContext.Result

java.lang.Object
java.lang.Enum<LogoutPropagationContext.Result>
net.shibboleth.idp.session.context.LogoutPropagationContext.Result

All Implemented Interfaces:
  `Serializable`, `Comparable<LogoutPropagationContext.Result>`, `Constable`

Enclosing class:
  LogoutPropagationContext

public static enum LogoutPropagationContext.Result extends Enum<LogoutPropagationContext.Result>
Logout propagation result.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Failure`
Failed logout propagation result.
`Success`
Successful logout propagation result.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`Result()`

## Method Summary

Modifier and Type
Method
Description
`static LogoutPropagationContext.Result`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LogoutPropagationContext.Result[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Success

public static final LogoutPropagationContext.Result Success
Successful logout propagation result.

### Failure

public static final LogoutPropagationContext.Result Failure
Failed logout propagation result.

## Constructor Details

### Result

private Result()

## Method Details

### values

public static LogoutPropagationContext.Result[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static LogoutPropagationContext.Result valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null